import request from '@/utils/request'

// 查询上传数据历史列表
export function listUploadhistory(query) {
  return request({
    url: '/system/uploadhistory/list',
    method: 'get',
    params: query
  })
}

// 查询上传数据历史详细
export function getUploadhistory(id) {
  return request({
    url: '/system/uploadhistory/' + id,
    method: 'get'
  })
}

// 新增上传数据历史
export function addUploadhistory(data) {
  return request({
    url: '/system/uploadhistory',
    method: 'post',
    data: data
  })
}

// 修改上传数据历史
export function updateUploadhistory(data) {
  return request({
    url: '/system/uploadhistory',
    method: 'put',
    data: data
  })
}

// 导出上传数据历史
export function exportUploadhistory(query) {
  return request({
    url: '/system/uploadhistory/export',
    method: 'get',
    params: query
  })
}
